当前位置:论坛首页 > Linux面板 > 求助

【已回应】6.6.1版的面板,PHP 7.1一直在安装

发表在 Linux面板2018-11-28 10:38 [复制链接] 4 787

本帖最后由 大炮运维V587 于 2018-11-28 11:11 编辑
  1. 安装[php-7.1]正在安装  | 关闭
  2. ln -s -f phar.phar /www/server/php/71/bin/phar
  3. Installing PDO headers: /www/server/php/71/include/php/ext/pdo/
  4. Copy new php configure file...
  5. Modify php.ini......
  6. config-set succeeded
  7. config-set succeeded
  8. Install ZendGuardLoader for PHP 7...
  9. unavailable now.
  10. Write ZendGuardLoader to php.ini...
  11. Starting php-fpm done
  12. --2018-11-28 10:07:40-- http://103.224.251.67/conf/enable-php-71.conf
  13. Connecting to 103.224.251.67:80... connected.
  14. HTTP request sent, awaiting response... 200 OK
  15. Length: 236 [application/octet-stream]
  16. Saving to: ‘/www/server/nginx/conf/enable-php-71.conf’

  17. 0K 100% 50.0M=0s

  18. 2018-11-28 10:07:40 (50.0 MB/s) - ‘/www/server/nginx/conf/enable-php-71.conf’ saved [236/236]
复制代码

操作系统:腾讯云,CentOS Linux 7.2.1511
环境信息:宝塔 Linux 免费版 6.6.1,已通过宝塔安装 nginx 1.8.1,PHP 7.0,两款软件均为编译安装


信息详细:
1、在软件管理界面,依次点击 PHP 7.1、PHP 7.2进行安装,安装方式选的编译安装
2、PHP 7.1编译安装持续了大约9个小时
3、已经重启面板数次,均不可行。未重启系统。

使用道具 举报 只看该作者 回复
发表于 2018-11-28 11:11:20 | 显示全部楼层
您好,这个编译安装软件是跟您的服务器配置有关系的。
使用道具 举报 回复 支持 反对
发表于 2018-11-28 14:18:26 | 显示全部楼层
大炮运维V587 发表于 2018-11-28 11:11
您好,这个编译安装软件是跟您的服务器配置有关系的。

我之前 nginx 1.8.1 和 PHP 7.0 都是编译安装,都成功了。
现在 PHP 7.1 和 PHP 7.2 编译不成功的话, 换成极速安装可以吗?
使用道具 举报 回复 支持 反对
发表于 2018-11-28 14:39:14 | 显示全部楼层
2575056200 发表于 2018-11-28 14:18
我之前 nginx 1.8.1 和 PHP 7.0 都是编译安装,都成功了。
现在 PHP 7.1 和 PHP 7.2 编译不成功的话, 换 ...

极速安装不建议使用在生产环境下。
使用道具 举报 回复 支持 反对
发表于 2018-11-28 15:13:47 | 显示全部楼层
大炮运维V587 发表于 2018-11-28 14:39
极速安装不建议使用在生产环境下。

非常感谢。
我之前的操作里,有PHP 7.1和PHP 7.2,PHP 7.1不安装完毕,PHP 7.2就不能装。
消息盒子里,PHP 7.1 一直提示正在安装,并且卡在我贴出的那一步之后就不动了,但是软件管理的界面里提示是已经安装好了。只是消息队列里还是提示正在安装。

之后我把队列里的PHP 7.1关闭了,PHP 7.2就开始安装了,过了一段时间发现居然安装好了。现在我在软件管理里把 界面里显示是安装好了,但是消息盒子里没安装好的 PHP 7.1 卸载了,然后重新编译安装,又可以了。
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表